


OBJECT "MUDOKON"
BEGIN	
ALWAYS
	BEGIN
		WAIT 24

		IF RAHULSTATE = 1
		BEGIN
			SARDOKR.PIVOTOBJECT PLAYER
			TENDRICKR.PIVOTOBJECT PLAYER
		END
	END
END

OBJECT "DalyK"
BEGIN
	DIALOG
	BEGIN
	SETCDVOLUME HALF
	WAIT 1
	control off
	player.stop
	player.COMBAT OFF
	player.goto 12216 12496
	goto 12218 12556
	nowait player.pivotobject DalyK
	pivotobject player
	say I2DAL00
	say I2DAL01
	
	:Start
	
	Choice A I2LOC00
	Choice B I2LOC01
	Choice C I2LOC02    
	WAIT RESPONSE
	
	:A
	
	player.say I2LOC00
	wait 5
	say I2DAL02
	wait 5
	say I2DAL03
	jump Marker

	:B

	player.say I2LOC01
	wait 5
	say I2DAL02
	wait 5
	say I2DAL03
	jump Marker

	:C

	player.say I2LOC02
	wait 5
	say I2DAL02
	wait 5
	say I2DAL03
	jump Marker

	:Marker 
	
	control on
	SETCDVOLUME FULL
	
	END

	ALWAYS
	BEGIN
	GOTO 12300 12594
	PIVOT 190
	WAIT 30
	GOTO 12132 12590
	PIVOT 60
	WAIT 30
	END
END


OBJECT "MiyamotoK"
BEGIN
	DIALOG
	BEGIN
	SETCDVOLUME HALF
	WAIT 1
 	control off
	player.stop
	player.COMBAT OFF
	player.goto 10238 11540
	wait 10
	nowait PIVOTOBJECT player
	player.PIVOTOBJECT MiyamotoK	
	wait 5
	player.say I2LOC03
	say I2MIY00
	say I2MIY01
	
	:Start
	
	Choice tendrick I2LOC04
	Choice sardok I2LOC05
	Choice andria I2LOC06
	Choice finish I2LOC07
	WAIT RESPONSE

	:tendrick
	
	player.say I2LOC04
	say I2MIY02
	say I2MIY03
	say I2MIY04
	jump Start

	:sardok
	
	player.say I2LOC05
	say I2MIY05
	say I2MIY06
	say I2MIY07
	jump Start

	:andria
	
	player.say I2LOC06
	say I2MIY08
	say I2MIY09
	say I2MIY10
	say I2MIY11
	jump Start

	:finish

	player.say I2LOC07
	say I2MIY12
	pivot 120
	control on
	SETCDVOLUME FULL
	END
END


OBJECT "MoorcockK"
BEGIN
	DIALOG
	BEGIN
	SETCDVOLUME HALF
	WAIT 1
	control off
	player.STOP
	player.COMBAT OFF
	stop
	nowait player.goto 11964 9950
	goto 11968 9896
	nowait player.PIVOTOBJECT MoorcockK
	PIVOTOBJECT player
 	say I2MOO00
	player.say I2LOC13
	say I2MOO01
	control on
	SETCDVOLUME FULL
	END

	ALWAYS
	BEGIN
	goto 11744 9848
	pivot 60
	wait 20
	goto 12221 9857
	pivot 190
	wait 20
	END
END


OBJECT "GowK"
BEGIN
	DIALOG 
	BEGIN
	SETCDVOLUME HALF
	WAIT 1
	control off
	player.STOP
	player.COMBAT OFF
	player.goto 6264 4138
	nowait player.PIVOTOBJECT GowK
	PIVOTOBJECT player
	
	IF GOWSTATE = 1
		BEGIN
		say I2GOW12
		jump Finish
		END
	
	IF GOWSTATE = 0
	BEGIN
 	say I2GOW00
	
	:Start
	
	Choice rand I2LOC14
	Choice executed I2LOC16
	Choice space I2LOC15
	WAIT RESPONSE
	
	:rand
	
	player.say I2LOC14
	say I2GOW01
	say I2GOW02
	say I2GOW03
	say I2GOW04
	jump Start

	:executed
	
	player.say I2LOC16	
	say I2GOW05
	say I2GOW06
	say I2GOW07
	jump Start

	:space

	player.say I2LOC15
	say I2GOW08
	jump Start2

	:Start2
	
	Choice weak I2LOC17 
      Choice nothing I2LOC18
      Choice tooharsh I2LOC19
	WAIT RESPONSE

	:nothing
	
	player.say I2LOC18
	say I2GOW09
	jump weak2

	:weak
	
	player.say I2LOC17
	jump weak2

	:tooharsh

	player.say I2LOC19
	say I2GOW13
	set GOWSTATE = 1
	jump Finish

	:weak2

	say I2GOW10
	player.say I2LOC20
	say I2GOW11
	say I2GOW12	
	set GOWSTATE = 1
	jump Finish

	:Finish
	
	control on
	SETCDVOLUME FULL
	END
	END
END


OBJECT "RandK"
BEGIN
	DIALOG
	BEGIN
	
	control off
	player.STOP
	player.COMBAT OFF
	nowait player.PIVOTOBJECT RandK
	PIVOTOBJECT player
	
	If RANDSTATE = 1
		BEGIN
		say I3RAN24
		jump Finish3
		END
	
	IF RANDSTATE = 0
	BEGIN

	SETCDVOLUME HALF
	WAIT 1

 	say I3RAN00
	player.say I3LOC00
	say I3RAN01
	player.say I3LOC01
	say I3RAN02
	player.say I3LOC02
	say I3RAN03
	player.say I3LOC03
	say I3RAN04
	say I3RAN05
	say I3RAN06

	:Start
	
	Choice from I3LOC04
	Choice cult I3LOC05
	Choice yhagoro I3LOC06
	wait response

	:from

	player.say I3LOC04
	say I3RAN07
	say I3RAN08
	say I3RAN09
	jump Start

	:cult

	player.say I3LOC05
	say I3RAN10
	say I3RAN11
	jump Start

	:yhagoro

	player.say I3LOC06
	say I3RAN12
	player.say I3LOC07
	say I3RAN13
	player.say I3LOC08
	say I3RAN14
	player.say I3LOC09
	jump Start2

	:Start2

	Choice disgrace I3LOC10
	Choice spare I3LOC11
	Choice talk I3LOC12
	wait response

	:disgrace
	
	player.say I3LOC10
	say I3RAN15
	jump Finish1

	:spare

	player.say I3LOC11
	say I3RAN16
	say I3RAN17
	say I3RAN18
	jump Finish2

	:talk

	player.say I3LOC12
	say I3RAN19
	say I3RAN20
	jump Finish2

	:Finish1

	player.say I3LOC13
	say I3RAN21
	say I3RAN22
	player.say I3LOC14
	say I3RAN23
	player.say I3LOC15
	jump Finish3

	:Finish2
	
	player.say I3LOC16
	say I3RAN24
	jump Finish3

	:Finish3
	
	control on
	set RANDSTATE=1
	set TENDRICKSTATE=1
	WAIT 1
	SETCDVOLUME FULL
	WAIT 1
	END

	END

	ALWAYS
	BEGIN
		WAIT 24

		IF TENDRICKSTATE > 1
		BEGIN
			TOGGLE INVISIBLE = 1
		END
	END
END


OBJECT "SteffanK"
BEGIN
	DIALOG
	BEGIN
	SETCDVOLUME HALF
	WAIT 1
	nowait control off
	player.STOP
	player.COMBAT OFF
 	stop
	player.gotorelativep SteffanK 0 30
	player.PIVOTOBJECT SteffanK
	PIVOTOBJECT player
	say I2STE00
	player.say I2LOC08
	player.say I2LOC09
	say I2STE01
	
	:Start
	
	Choice misthaven I2LOC10
	Choice cult I2LOC11
	Choice letyoulive I2LOC12
	wait response
	
	:misthaven
	
	player.say I2LOC10
	say I2STE02
	say I2STE03
	say I2STE04
	say I2STE05
	say I2STE06
	jump Start

	:cult
	
	player.say I2LOC11
	say I2STE07
	say I2STE08
	say I2STE09
	say I2STE10
	jump Start

	:letyoulive
	
	player.say I2LOC12
	control on
	SETCDVOLUME FULL
	END
	
	ALWAYS
	BEGIN 
	goto 9975 9865
	wait 10
	goto 10325 9873
	wait 10
	goto 9975 9865
	wait 10
	goto 9615 9869
	wait 10
	END
END


OBJECT "SardokR"
BEGIN
 	CUBE 1145,475,0 1265,619,60
	BEGIN
	control off
	incidentals off
	fadecharacterout player
	centeron player
	player.PLAYERLEVEL 1
	player.STAT ATTACKLEVEL = 0
	wait 20
	nowait add gvortex
	nowait gvortex.move 0 0 20
	wait 50
	player.toggle invisible
	fadecharacterin player
	player.try resurrect
	wait 65
	SETCDVOLUME HALF
	player.say I1LOC00
	incidentals on
	scrollto 1207 667
	wait 20
	nowait player.pivotobject SardokR
	say I1SAR00
	player.goto 1207 667
	centeron player

	:Start
	
	Choice people I1LOC01 
	Choice whoamI I1LOC02
	Choice brought I1LOC03
	wait response

	:people
	
	player.say I1LOC01 
	nowait player.pivotobject SardokR
	say I1SAR01
	wait 5
	nowait player.pivotobject TendrickR
	TendrickR.say I1TEN00
	player.say I1LOC04
	wait 5
	nowait player.pivotobject SardokR
	say I1SAR02
	jump Start

	:whoamI
	
	player.say I1LOC02
	player.say I1LOC05
	wait 5
	nowait player.pivotobject SardokR
	say I1SAR03
	say I1SAR04
	say I1SAR05
	player.say I1LOC06
	jump Start
	
	:brought
	
	player.say I1LOC03
	wait 5
	nowait player.pivotobject TendrickR
	TendrickR.say I1TEN01
	player.say I1LOC07
	TendrickR.say I1TEN02
	TendrickR.say I1TEN03
	TendrickR.say I1TEN04
	wait 5
	nowait player.pivotobject SardokR	
	say I1SAR06
	wait 5
	nowait player.pivotobject TendrickR
	TendrickR.say I1TEN05
	TendrickR.say I1TEN06
	TendrickR.say I1TEN07
	TendrickR.say I1TEN08
	player.say I1LOC08
	wait 5
	nowait player.pivotobject SardokR
	say I1SAR07
	say I1SAR08
	say I1SAR09
	player.say I1LOC09
	say I1SAR10
	say I1SAR11
	jump Start2

	:Start2
	
	Choice dontknow I1LOC10
	Choice armies I1LOC11
	Choice figureout I1LOC12
	wait response

	:dontknow

	player.say I1LOC10
	wait 5
	nowait player.pivotobject SardokR
	say I1SAR12
	say I1SAR13
	player.say I1LOC13
	wait 5
	nowait player.pivotobject TendrickR
	TendrickR.say I1TEN09
	TendrickR.say I1TEN10
	jump Start2

	:armies

	player.say I1LOC11
	wait 5
	nowait player.pivotobject TendrickR
	TendrickR.say I1TEN11
	TendrickR.say I1TEN12
	player.say I1LOC14
	TendrickR.say I1TEN13
	player.say I1LOC15
	wait 5
	nowait player.pivotobject SardokR
	say I1SAR14
	player.say I1LOC16
	say I1SAR15	
	jump Start2
	
	:figureout
	
	player.say I1LOC12
	wait 5
	nowait player.pivotobject SardokR
	say I1SAR16
	say I1SAR17
	say I1SAR18
	player.addinv life
	player.addinv moon
	PLAYER.ADDINV SOUL
	player.addinv "spell pouch"
	say I1SAR19
	wait 5
	say I1SAR22
	player.get MGCSCRL1
	player.pivotobject TendrickR
	TendrickR.say I1TEN14
	player.addinv "Short Sword"
	player.addinv "Black Cloth Boots"
	player.addinv "Brown Cloth Pants"
	player.addinv "Red Cloth Shirt"
	wait 10
	TendrickR.say I1TEN15
	TendrickR.say I1TEN16
	wait 24
	
	PLAY STRUGGLE
	
	NOWAIT GOTO 1056 736
	TendrickR.GOTO 1344 736
	
	SCROLLTO RAHUL
	NOWAIT WAIT 48
	NOWAIT TendrickR.PIVOT 140
	PIVOT 100
	
	RESSEXIT.STATE OPENINGOUT
	
	NOWAIT RAHUL.TOGGLE INVISIBLE = 0
	FADECHARACTERIN RAHUL
	
	CENTERON RAHUL
	RESSEXIT.STATE CLOSINGOUT
	RESSEXIT.STATE CLOSED

	RAHUL.GOTO 1217 879
	RAHUL.PIVOTOBJECT SardokR
	RAHUL.SAY I1MON00
	WAIT 12
	RAHUL.PIVOTOBJECT player
	RAHUL.SAY I1MON01
	SET RAHULSTATE = 1
	RAHUL.STAT aggressive = 1 
	SETCDVOLUME FULL
	SCROLLTO player
	WAIT 48
	CENTERON player
	ressexit.STAT locked=1
	CONTROL ON
	TOGGLE PAUSE = 1
	END
END

OBJECT "TendrickR"
BEGIN
	ALWAYS
	BEGIN
		WAIT 24

		If Rahul.stat health = 0
		BEGIN
			SETCDVOLUME HALF
			control off
			wait 30
			SET RAHULSTATE = 0
			centeron player
			player.force walk
			player.stop
			player.goto 1207 667
			player.pivot 120
			TRY WALK
			nowait goto 1246 774
			SardokR.goto 1185 771
			nowait pivotobject player
			SardokR.pivotobject player
			wait 5
			nowait player.pivotobject SardokR
			SardokR.say I1SAR23
			nowait pivotobject SardokR
			say I1TEN17
			SardokR.pivotobject TendrickR
			SardokR.say I1SAR24
			say I1TEN18
			SardokR.say I1SAR25
			nowait pivotobject player
			player.pivotobject TendrickR
			say I1TEN19
			nowait SardokR.pivotobject player
			say I1TEN20
			say I1TEN21
			player.say I1LOC17
			say I1TEN22
			SardokR.say I1SAR26
			wait 5
			nowait goto 1218 1100
			SardokR.goto 1218 1100
			pos 1200 512 17 2
			SardokR.pos 1216 512 17 2
			toggle invisible = 1
			SardokR.toggle invisible = 1
			centeron player
			ressexit.stat locked=0
			control on
			toggle pause = 1
			SETCDVOLUME FULL
		END
	END	
END

OBJECT "SardokT"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1

	IF MISTSTATE = 1
	BEGIN
	If SARDOKSTATE = 1
	BEGIN
		control off
		player.STOP
		player.COMBAT OFF
		player.goto 11957 9205
		player.pivotobject SardokT
		say I1SAR26
		control on
	END

	If SARDOKSTATE = 0
	BEGIN
		control off
		player.STOP
		player.COMBAT OFF
		player.goto 11957 9205
		player.pivotobject SardokT
		wait 5	
		player.say I5LOC00
		say I5SAR00
	
		:Start
	
		Choice go I5LOC01
		Choice magic I5LOC02
		Choice talking I5LOC03
		Choice information I5LOC04
		wait response

		:go
	
		player.say I5LOC01
		say I5SAR01
		say I5SAR02
		say I5SAR03
		jump Start

		:magic

		player.say I5LOC02
		say I5SAR04
		say I5SAR05
		jump Start

		:talking
	
		player.say I5LOC03
		say I5SAR06
		say I5SAR07
		say I5SAR08
		jump Start

		:information

		player.say I5LOC04
		say I5SAR09
		set SARDOKSTATE = 1
		control on
	END
	END

	IF MISTSTATE = 2
	BEGIN
		control off
		player.STOP
		player.COMBAT OFF
		player.goto 11957 9205
		player.pivotobject SardokT 
		say I7SAR00
		player.say I7LOC00
		player.say I7LOC01
		say I7SAR01
		say I7SAR02
		player.say I7LOC02
		say I7SAR03
		say I7SAR04
		player.say I7LOC03
		control on
	END

	IF MISTSTATE = 3
	BEGIN
		control off
		player.STOP
		player.COMBAT OFF
		player.goto 11957 9205
		player.pivotobject SardokT 
		say I8SAR00
		PLAYER.SAY I8LOC02
		say I8SAR05
		PLAYER.SAY I8LOC04
		say I8SAR06
		control on
	END

	If MISTSTATE < 5
	BEGIN
	IF MISTSTATE > 3
	BEGIN
		control off
		player.STOP
		player.COMBAT OFF
		player.goto 11957 9205
		player.pivotobject SardokT
		say I8SAR00
	
		:Start2
		
		Choice amulet I8LOC01
		Choice finish I8LOC02
		wait response

		:amulet
	
		player.say I8LOC01
		say I8SAR03
		say I8SAR04
		jump Start2
	
		:finish
	
		player.say I8LOC02
		player.say I8LOC03
		say I8SAR05
		player.say I8LOC04
		say I8SAR06
		control on
	END
	END

	IF MISTSTATE = 5
	BEGIN
		control off
		player.STOP
		player.COMBAT OFF
		player.goto 11957 9205
		player.pivotobject SardokT 
		say I8SAR00
		PLAYER.SAY I8LOC02
		say I8SAR05
		PLAYER.SAY I8LOC04
		say I8SAR06
		control on
	END

	If MISTSTATE = 6
	BEGIN
		
		control off
		player.STOP
		player.COMBAT OFF

		IF SARDOKSTATE = 3
		BEGIN
			player.goto 11957 9205
			player.pivotobject SardokT
			say I9SAR00
			say I9SAR01
		
			:Start3
		
			Choice queen I10LOC00
			Choice ruins I10LOC01
			wait response	

			:queen
			
			player.say I10LOC00
			say I10SAR00
			player.say I10LOC03
			say I10SAR01
			jump Start3

			:ruins
		
			player.SAY I10LOC01
			player.say I10LOC04
			control on
			
		END

		IF SARDOKSTATE < 3
		BEGIN
			player.goto 11957 9205
			player.pivotobject TendrickT
			TendrickT.pivotobject player
			TendrickT.say I9TEN00
			player.say I9LOC00
			player.say I9LOC01
			TendrickT.say I9TEN01
			player.pivotobject SardokT
			say I9SAR00
			say I9SAR01
			player.say I9LOC02
			player.pivotobject TendrickT
			TendrickT.say I9TEN02
			TendrickT.say I9TEN03
			SET SARDOKSTATE = 3
			control on
		END
	END
	
	If MISTSTATE = 7
	BEGIN
		control off
		player.STOP
		player.COMBAT OFF
		player.goto 11957 9205
		nowait player.pivotobject TendrickT
		TendrickT.pivotobject player		
		TendrickT.say I12TEN00
		TendrickT.say I12TEN01
		player.say I12LOC00
		TendrickT.say I12TEN02
		player.say I12LOC01
		player.say I12LOC02
		say I12SAR00
		TendrickT.say I12TEN03
		player.pivotobject SardokT
		say I12SAR01
		say I12SAR02
		say I12SAR03
		say I12SAR04
		TendrickT.pivotobject SardokT
		TendrickT.say I12TEN04
		TendrickT.say I12TEN05
		SET SARDOKSTATE = 5
		nowait TendrickT.stat aggressive = 1
		nowait TendrickT.stat health = 1000
		nowait SardokT.stat mana = 1000
		SardokT.pivotobject TendrickT 0
		WAIT 48
		SardokT.cast "electric bolt"
		SardokT.try spell
		wait 6
		TendrickT.stat aggressive = 0
		nowait TendrickT.try death
		wait 128
		player.say I12LOC03
		pivotobject player		
		say I12SAR05
		FADECHARACTEROUT TENDRICKT
		WAIT 24
		TENDRICKT.TOGGLE INVISIBLE = 1
		say I12SAR06
		say I12SAR07
		say I12SAR08
		say I12SAR09
		player.say I12LOC04
		say I12SAR10
		SAY VIII9SAR00
		PLAYER.SAY VIII9LOC00
		SAY VIII9SAR01
		PLAYER.SAY VIII9LOC01
		PLAYER.SAY VIII9LOC02
		PLAYER.SAY VIII9LOC03
		PLAYER.SAY VIII9LOC04
		SAY VIII9SAR02
		FADESCREENOUT
		WAIT SCREENFADE
		PLAYER.POS 9904 10000 576 51
		CONTROL ON
		FADESCREENIN
	END
	
	SETCDVOLUME FULL	

	END
	ALWAYS
	BEGIN
		IF SARDOKSTATE = 5
		BEGIN
			TOGGLE INVISIBLE = 1
			WAIT 24
		END
	END
END	     

OBJECT "TendrickT"
BEGIN
DIALOG
	BEGIN
	SETCDVOLUME HALF
	WAIT 1

	If TENDRICKSTATE = 0
	BEGIN
	control off
	player.STOP
	player.COMBAT OFF
	player.goto 11957 9205
	nowait player.pivotobject TendrickT
	pivotobject player
	say I1TEN20
	control on
	END


	If TENDRICKSTATE = 1
	BEGIN
	control off
	player.STOP
	player.COMBAT OFF
	player.goto 11957 9205
	nowait player.pivotobject TendrickT
	pivotobject player
	say I4TEN00
		
	:Start
	
	Choice eastern I4LOC00
	Choice yhagoro I4LOC01
	Choice innocent I4LOC02
	Choice executed I4LOC03
	wait response
	
	:yhagoro
	
	player.say I4LOC01
	SardokT.say I4SAR00
	nowait pivotobject SardokT
	say I4TEN01
	SardokT.pivotobject TendrickT
	SardokT.say I4SAR01
	SardokT.say I4SAR02
	player.say I4LOC04
	say I4TEN02
	say I4TEN03
	SardokT.say I4SAR03
	nowait pivotobject player
	SardokT.pivotobject player
	say I4TEN04
	jump Start

	:eastern

	player.say I4LOC00	
	say I4TEN05
	nowait player.pivotobject SardokT
	SardokT.say I4SAR04
	SardokT.say I4SAR05
	player.say I4LOC05
	nowait player.pivotobject TendrickT
	say I4TEN06
	say I4TEN07
	nowait player.pivotobject SardokT
	SardokT.say I4SAR06
	jump Start

	:innocent
	
	player.say I4LOC02
	say I4TEN08
	say I4TEN09
	jump executed2

	:executed

	player.say I4LOC03
	
	:executed2
	
	nowait player.pivotobject SardokT
	SardokT.say I4SAR07
	SardokT.say I4SAR08
	nowait pivotobject SardokT
	player.pivotobject TendrickT
	say I4TEN10
	say I4TEN11
	nowait player.pivotobject SardokT
	SardokT.pivotobject TendrickT
	SardokT.say I4SAR09
	SardokT.say I4SAR10
	SardokT.say I4SAR11
	SardokT.pivotobject player
	pivotobject player
	SardokT.say I4SAR12

	:Start2
	
	Choice Start3 I4LOC06
	Choice Finish I4LOC07
	wait response

	:Start3
	
	player.say I4LOC06
	jump Start
	
	:Finish
	
	player.say I4LOC07
	SardokT.say I4SAR13
	nowait pivotobject SardokT
	say I4TEN12
	SardokT.pivotobject TendrickT
	SardokT.say I4SAR14
	say I4TEN13
	SardokT.say I4SAR15
	say I4TEN14
	say I4TEN15
	player.pos 6255 4327 40 6
	END
	
	If MISTSTATE < 6
	BEGIN
		If TENDRICKSTATE = 2
		BEGIN
		control off
		player.STOP
		player.COMBAT OFF
		player.goto 11957 9205
		player.pivotobject	TendrickT
		say I6TEN00
		player.say I6LOC00
		say I6TEN01
		say I6TEN02
		player.say I6LOC01
		say I6TEN03
		control on
		END
	END

	If MISTSTATE > 5
	BEGIN
	control off
	player.STOP
	player.COMBAT OFF
	player.goto 11957 9205
	player.pivotobject TendrickT
	say I11TEN00
	say I11TEN01
	say I11TEN02
	player.say I11LOC00
	control on
	END
	
	WAIT 1
	SETCDVOLUME FULL	
	WAIT 1
	
	END
END


OBJECT "GowE"
BEGIN
	ALWAYS
	BEGIN
	incidentals off
	SardokE.incidentals off
	player.incidentals off
	TendrickE.incidentals off
	DalyE.incidentals off
	MiyamotoE.incidentals off
	MoorcockE.incidentals off
	SteffanE.incidentals off
	player.goto 6251 4223
	SardokE.pos 6255 4327 40 2
	nowait player.goto 6127 3961
	SardokE.goto 6251 4223
	SardokE.goto 6078 3962
	TendrickE.pos 6255 4327
	TendrickE.goto 6251 4223
	nowait SardokE.pivot 0
	TendrickE.goto 6175 3961
	TendrickE.pivot 0
	scrollto GowE
	WAIT 24
	RandE.pos 5866 4620 40 2
	goto Point2 
	goto Point1
	NOWAIT PIVOT 0
	scrollto RandE
	WAIT 12
	WAIT 12
	nowait GOWE.gotorelativeposition Point2 0 20
	RandE.gotorelativeposition Point2 -48 0
	RandE.gotorelativeposition Point3 0 0 
	RandE.goto Point4
	RandE.goto Point5
	RandE.goto Point6 
	RandE.pivot 120
	scrollto 6125 3800 34
	WAIT 24
	centeron 6125 3800 34
	wait 25
	TendrickE.say I4TEN16
	SardokE.say I4SAR16
	SardokE.say I4SAR17
	SardokE.say I4SAR18
	nowait RandE.stat aggressive = 1
	nowait RandE.stat health = 1000
	nowait SardokE.stat mana = 1000
	nowait SardokE.pivotobject RandE 0
	nowait SardokE.cast "electric bolt"
	nowait SardokE.try spell
	nowait RandE.stat aggressive = 0
	RandE.try dead
	wait 200
	player.try walk
	nowait SardokE.pivotobject player
	SardokE.say I4SAR19
	SardokE.say I4SAR20
	SardokE.say I4SAR21
	SardokE.say I4SAR22
	WAIT 12
	scrollto player
	WAIT 48
	FADESCREENOUT
	WAIT SCREENFADE
	FADESCREENIN
	player.pos 12208 12512 162 2
	set TENDRICKSTATE = 2
	control on
	toggle pause = 1
	END
END

OBJECT "KeepExit"
BEGIN
	USE
	BEGIN
		CONTROL OFF
		PLAYER.STOP
		PLAYER.COMBAT OFF
		player.GOTORELATIVEPOSITION THIS 0 -60
		STATE "OPENING"
		WAIT 12
		FADESCREENOUT
		WAIT SCREENFADE
		CONTROL ON
		FADESCREENIN
		player.POS 1842 24388 451 0
		STATE "CLOSED"
		STATE "CLOSED"
		CONTROL ON
	END

	ALWAYS
	BEGIN
		WAIT 24

		IF TENDRICKSTATE > 1
		BEGIN
			STAT locked = 0
		END
		IF TENDRICKSTATE < 2
		BEGIN
			STAT locked = 1
		END
	END
END






